🚧 [Experimental] Create QL chart

Creates a new QL chart.

Request

POST

http://<хост_on-premises>/rpc/createQLChart

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "template": "ql",
  "annotation": {
    "description": "example"
  },
  "data": {},
  "workbookId": "example",
  "name": "example"
}
All of 2 types
  • Type: object

    data

    Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

    template

    Type: string

    Const: ql

    Example: example

    annotation

    Type: EntryAnnotationArg

    Example
    {
      "description": "example"
    }
    

    [additional]

    Type: unknown

    Example: null

    Example
    {
      "template": "ql",
      "annotation": {
        "description": "example"
      },
      "data": {}
    }
    
  • Type: EntryLocationIdentifiers

    Example
    {
      "workbookId": "example",
      "name": "example"
    }
    

EntryAnnotationArg

Name

Description

description

Type: string

Description of the entry.

Example: example

Example
{
  "description": "example"
}

EntryLocationIdentifiers

Name

Description

name

Type: string

Entry name when creating the entry in a workbook.

Example: example

workbookId

Type: string

ID of the workbook where the entry should be created.

Example: example

Example
{
  "workbookId": "example",
  "name": "example"
}

Responses

200 OK

Response

Body

application/json
{}

Name

Description

[additional]

Type: unknown

Example: null